Bug 2527 - Add a failure case for non-existant queue to scheduler test suite
: Add a failure case for non-existant queue to scheduler test suite
Status: RESOLVED FIXED
: GRAM
wsrf managed execution job service
: development
: All All
: P3 normal
: 4.2
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-01-06 13:46 by
Modified: 2006-09-18 15:56 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-06 13:46:37
Here is an example job provided by Mats in bug 2524...

Testing using an invalid queue name with PBS:

<job>
  <executable>/bin/hostname</executable>
  <directory>/tmp</directory>
  <argument>--fqdn</argument>
  <stdout>${GLOBUS_USER_HOME}/job.out</stdout>
  <stderr>${GLOBUS_USER_HOME}/job.err</stderr>
  <queue>non-existant</queue>
</job>
------- Comment #1 From 2005-01-14 06:11:36 -------
(I assume the platform is PC and not Mac)
------- Comment #2 From 2006-09-18 15:56:54 -------
This is what I get from PBS:

globusrun-ws: Job failed: The executable could not be started.
qsub: Unknown queue MSG=cannot locate queue

I'm assuming this got fixed with another bug about more verbose error reporting
from the adapter scripts.